org.apache.hc.client5.http.cache

## Class HeaderConstants

- java.lang.Object
- - org.apache.hc.client5.http.cache.HeaderConstants

-     public class HeaderConstants
      extends Object

  Records static constants for various HTTP header names.
  Since:
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AGE`
    `static String` | `ALLOW`
    `static String` | `AUTHORIZATION`
    `static String` | `CACHE_CONTROL`
    `static String` | `CACHE_CONTROL_MAX_AGE`
    `static String` | `CACHE_CONTROL_MAX_STALE`
    `static String` | `CACHE_CONTROL_MIN_FRESH`
    `static String` | `CACHE_CONTROL_MUST_REVALIDATE`
    `static String` | `CACHE_CONTROL_NO_CACHE`
    `static String` | `CACHE_CONTROL_NO_STORE`
    `static String` | `CACHE_CONTROL_PROXY_REVALIDATE`
    `static String` | `CONTENT_RANGE`
    `static String` | `DELETE_METHOD`
    `static String` | `ETAG`
    `static String` | `EXPIRES`
    `static String` | `GET_METHOD`
    `static String` | `HEAD_METHOD`
    `static String` | `IF_MATCH`
    `static String` | `IF_MODIFIED_SINCE`
    `static String` | `IF_NONE_MATCH`
    `static String` | `IF_RANGE`
    `static String` | `IF_UNMODIFIED_SINCE`
    `static String` | `LAST_MODIFIED`
    `static String` | `MAX_FORWARDS`
    `static String` | `OPTIONS_METHOD`
    `static String` | `PRAGMA`
    `static String` | `PRIVATE`
    `static String` | `PROXY_AUTHENTICATE`
    `static String` | `PUBLIC`
    `static String` | `PUT_METHOD`
    `static String` | `RANGE`
    `static String` | `STALE_IF_ERROR`
    `static String` | `STALE_WHILE_REVALIDATE`
    `static String` | `TRACE_METHOD`
    `static String` | `VARY`
    `static String` | `VIA`
    `static String` | `WARNING`
    `static String` | `WWW_AUTHENTICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GET_METHOD

          public static final String GET_METHOD

      See Also:
        Constant Field Values

    - #### HEAD_METHOD

          public static final String HEAD_METHOD

      See Also:
        Constant Field Values

    - #### OPTIONS_METHOD

          public static final String OPTIONS_METHOD

      See Also:
        Constant Field Values

    - #### PUT_METHOD

          public static final String PUT_METHOD

      See Also:
        Constant Field Values

    - #### DELETE_METHOD

          public static final String DELETE_METHOD

      See Also:
        Constant Field Values

    - #### TRACE_METHOD

          public static final String TRACE_METHOD

      See Also:
        Constant Field Values

    - #### LAST_MODIFIED

          public static final String LAST_MODIFIED

      See Also:
        Constant Field Values

    - #### IF_MATCH

          public static final String IF_MATCH

      See Also:
        Constant Field Values

    - #### IF_RANGE

          public static final String IF_RANGE

      See Also:
        Constant Field Values

    - #### IF_UNMODIFIED_SINCE

          public static final String IF_UNMODIFIED_SINCE

      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE

          public static final String IF_MODIFIED_SINCE

      See Also:
        Constant Field Values

    - #### IF_NONE_MATCH

          public static final String IF_NONE_MATCH

      See Also:
        Constant Field Values

    - #### PRAGMA

          public static final String PRAGMA

      See Also:
        Constant Field Values

    - #### MAX_FORWARDS

          public static final String MAX_FORWARDS

      See Also:
        Constant Field Values

    - #### ETAG

          public static final String ETAG

      See Also:
        Constant Field Values

    - #### EXPIRES

          public static final String EXPIRES

      See Also:
        Constant Field Values

    - #### AGE

          public static final String AGE

      See Also:
        Constant Field Values

    - #### VARY

          public static final String VARY

      See Also:
        Constant Field Values

    - #### ALLOW

          public static final String ALLOW

      See Also:
        Constant Field Values

    - #### VIA

          public static final String VIA

      See Also:
        Constant Field Values

    - #### PUBLIC

          public static final String PUBLIC

      See Also:
        Constant Field Values

    - #### PRIVATE

          public static final String PRIVATE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL

          public static final String CACHE_CONTROL

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_NO_STORE

          public static final String CACHE_CONTROL_NO_STORE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_NO_CACHE

          public static final String CACHE_CONTROL_NO_CACHE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_MAX_AGE

          public static final String CACHE_CONTROL_MAX_AGE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_MAX_STALE

          public static final String CACHE_CONTROL_MAX_STALE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_MIN_FRESH

          public static final String CACHE_CONTROL_MIN_FRESH

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_MUST_REVALIDATE

          public static final String CACHE_CONTROL_MUST_REVALIDATE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_PROXY_REVALIDATE

          public static final String CACHE_CONTROL_PROXY_REVALIDATE

      See Also:
        Constant Field Values

    - #### STALE_IF_ERROR

          public static final String STALE_IF_ERROR

      See Also:
        Constant Field Values

    - #### STALE_WHILE_REVALIDATE

          public static final String STALE_WHILE_REVALIDATE

      See Also:
        Constant Field Values

    - #### WARNING

          public static final String WARNING

      See Also:
        Constant Field Values

    - #### RANGE

          public static final String RANGE

      See Also:
        Constant Field Values

    - #### CONTENT_RANGE

          public static final String CONTENT_RANGE

      See Also:
        Constant Field Values

    - #### WWW_AUTHENTICATE

          public static final String WWW_AUTHENTICATE

      See Also:
        Constant Field Values

    - #### PROXY_AUTHENTICATE

          public static final String PROXY_AUTHENTICATE

      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          public static final String AUTHORIZATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HeaderConstants

          public HeaderConstants()

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.